Xalan-Java 2.7.1: Class SingleNodeCounter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class SingleNodeCounter

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.dom.NodeCounter
            |
            +--org.apache.xalan.xsltc.dom.SingleNodeCounter

public abstract class SingleNodeCounter
extends NodeCounter

Fields inherited from class org.apache.xalan.xsltc.dom.NodeCounter
`_document, _iterator, _translet, END`

Constructor Summary
`SingleNodeCounter(Translet translet, DOM document, DTMAxisIterator iterator)`

Method Summary
`java.lang.String` | `getCounter()`
`static NodeCounter` | `getDefaultNodeCounter(Translet translet, DOM document, DTMAxisIterator iterator)`
`NodeCounter` | `setStartNode(int node)`

Methods inherited from class org.apache.xalan.xsltc.dom.NodeCounter
`getCounter, matchesCount, matchesFrom, setDefaultFormatting, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleNodeCounter

    public SingleNodeCounter(Translet translet,
                             DOM document,
                             DTMAxisIterator iterator)

Method Detail

### setStartNode

    public NodeCounter setStartNode(int node)

  Overrides:
    setStartNode in class NodeCounter

### getCounter

    public java.lang.String getCounter()

  Overrides:
    getCounter in class NodeCounter

### getDefaultNodeCounter

    public static NodeCounter getDefaultNodeCounter(Translet translet,
                                                    DOM document,
                                                    DTMAxisIterator iterator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.